#include "Archer.h"
#include "ActionHit.h"
#include "MemoryManager/debugNew.h"

Archer::Archer(void)
{
	load("Archer");
}

Archer::~Archer(void)
{
}

unitEnumeration::UnitType Archer::getType() {
	return unitEnumeration::ARCHER;
}

void Archer::attack(EnnemyUnit &ennemy) {
	// l'action Hit s'occupe de s'approcher de l'ennemy s'il n'est pas à portée
	if (isMounted()){
		// quand on est monté, on souhait s'approcher un peut plus de l'ennemie pour l'attaquer si il est en mouvement
		if(ennemy.isMoving()){
			pushAction(new ActionHit(this,unitEnumeration::COMBAT_POSTURE,&ennemy,5.0f));
		}else{
			pushAction(new ActionHit(this,unitEnumeration::COMBAT_POSTURE,&ennemy));
		}
	}else{
		pushAction(new ActionHit(this,unitEnumeration::COMBAT_POSTURE,&ennemy));
	}
}

